commit de7f04567d16b7192c00378059e91ed026b0c151
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Feb 23 17:53:54 2020 +0100

    NEWS: slight reformatting

 NEWS | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 69b63c2f1414a613313aa764431dc1bee50a78de
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Feb 23 16:27:34 2020 +0000

    2.10.18: update appdata to match recent changes

 desktop/org.gimp.GIMP.appdata.xml.in.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 197bd743c8485e71127f3cf6bd41c16899bbc849
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Feb 23 13:06:46 2020 +0300

    2.10.18: update NEWS

 NEWS | 28 +++++++++++++++++++++++-----
 1 file changed, 23 insertions(+), 5 deletions(-)

commit 25e3c899e0aa52d7c6fa2ea925ccc7ef2fdc0999
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Sun Feb 23 10:06:59 2020 +0000

    Update Basque translation

 po-python/eu.po | 240
 ++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 153 insertions(+), 87 deletions(-)

commit ceaf9a8657b7cad801e4b40b84a1ef530506d94c
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Sun Feb 23 09:33:55 2020 +0000

    Update Basque translation

 po/eu.po | 3813
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1947 insertions(+), 1866 deletions(-)

commit f8b07bd8b50e2d754f5bf994ea0dca0557d118e0
Author: Ell <ell_se@yahoo.com>
Date:   Sat Feb 22 16:02:04 2020 +0200

    icons, tools: add Symbolic high-contrast variants

    Add new Symbolic-High-Contrast and Symbolic-Inverted-High-Contrast
    themes, which are automatically-generated high-contrast variants of
    the (original) Symbolic theme.  The contrast factor is settable in
    the makefile, and is currently at 1.5 for both themes.

    Rename tools/invert-svg to tools/svg-contrast, which now takes a
    contrast-factor argument, and adjusts the input SVG contrast,
    instead of just inverting it.  Note that we can still use the tool
    to invert icons, using a contrast of -1.

 configure.ac                                       |    2 +
 icons/Makefile.am                                  |   10 +-
 icons/Symbolic-High-Contrast/.gitignore            |   15 +
 icons/Symbolic-High-Contrast/Makefile.am           |  111 ++
 icons/Symbolic-High-Contrast/index.theme           | 1846
 ++++++++++++++++++++
 icons/Symbolic-Inverted-High-Contrast/.gitignore   |   15 +
 icons/Symbolic-Inverted-High-Contrast/Makefile.am  |  123 ++
 icons/Symbolic-Inverted-High-Contrast/index.theme  | 1846
 ++++++++++++++++++++
 icons/Symbolic-Inverted/Makefile.am                |   71 +-
 icons/Symbolic-Inverted/index.theme                |    2 +-
 icons/Symbolic/24/dialog-information.svg           |    4 +-
 icons/Symbolic/24/document-print.svg               |   22 +-
 icons/Symbolic/24/gimp-business-card.svg           |   12 +-
 icons/Symbolic/24/gimp-center.svg                  |   10 +-
 icons/Symbolic/24/gimp-channel-alpha.svg           |    2 +-
 icons/Symbolic/24/gimp-channel-blue.svg            |    6 +-
 icons/Symbolic/24/gimp-channel-gray.svg            |    2 +-
 icons/Symbolic/24/gimp-channel-green.svg           |    6 +-
 icons/Symbolic/24/gimp-channel-indexed.svg         |   72 +-
 icons/Symbolic/24/gimp-channel-red.svg             |    6 +-
 icons/Symbolic/24/gimp-channel.svg                 |    2 +-
 icons/Symbolic/24/gimp-channels.svg                |    6 +-
 icons/Symbolic/24/gimp-char-picker.svg             |    4 +-
 icons/Symbolic/24/gimp-color-space-linear.svg      |    4 +-
 icons/Symbolic/24/gimp-color-space-non-linear.svg  |    4 +-
 icons/Symbolic/24/gimp-color-space-perceptual.svg  |    4 +-
 icons/Symbolic/24/gimp-colormap.svg                |    2 +-
 icons/Symbolic/24/gimp-controller-keyboard.svg     |    2 +-
 icons/Symbolic/24/gimp-controller-linux-input.svg  |    2 +-
 icons/Symbolic/24/gimp-controller-midi.svg         |    2 +-
 icons/Symbolic/24/gimp-controller-wheel.svg        |    2 +-
 icons/Symbolic/24/gimp-controller.svg              |    2 +-
 icons/Symbolic/24/gimp-cursor.svg                  |    2 +-
 icons/Symbolic/24/gimp-device-status.svg           |    2 +-
 .../24/gimp-display-filter-clip-warning.svg        |   26 +-
 .../Symbolic/24/gimp-display-filter-colorblind.svg |    2 +-
 icons/Symbolic/24/gimp-display-filter-contrast.svg |    2 +-
 icons/Symbolic/24/gimp-display-filter-gamma.svg    |    4 +-
 icons/Symbolic/24/gimp-display-filter-lcms.svg     |   14 +-
 icons/Symbolic/24/gimp-display-filter-proof.svg    |    2 +-
 icons/Symbolic/24/gimp-display-filter.svg          |    2 +-
 icons/Symbolic/24/gimp-display.svg                 |    4 +-
 icons/Symbolic/24/gimp-dynamics.svg                |    2 +-
 icons/Symbolic/24/gimp-error.svg                   |    4 +-
 icons/Symbolic/24/gimp-floating-selection.svg      |    4 +-
 icons/Symbolic/24/gimp-gegl.svg                    |    2 +-
 icons/Symbolic/24/gimp-grid.svg                    |    2 +-
 icons/Symbolic/24/gimp-histogram.svg               |    2 +-
 icons/Symbolic/24/gimp-image.svg                   |    6 +-
 icons/Symbolic/24/gimp-images.svg                  |   10 +-
 icons/Symbolic/24/gimp-info.svg                    |    2 +-
 icons/Symbolic/24/gimp-input-device.svg            |    2 +-
 icons/Symbolic/24/gimp-landscape.svg               |    2 +-
 icons/Symbolic/24/gimp-layer-mask.svg              |    4 +-
 icons/Symbolic/24/gimp-layer.svg                   |    6 +-
 icons/Symbolic/24/gimp-layers.svg                  |    6 +-
 icons/Symbolic/24/gimp-letter-spacing.svg          |    2 +-
 icons/Symbolic/24/gimp-line-spacing.svg            |    2 +-
 icons/Symbolic/24/gimp-move-to-screen.svg          |    2 +-
 icons/Symbolic/24/gimp-navigation.svg              |    2 +-
 icons/Symbolic/24/gimp-path.svg                    |    2 +-
 icons/Symbolic/24/gimp-paths.svg                   |    2 +-
 icons/Symbolic/24/gimp-portrait.svg                |    4 +-
 icons/Symbolic/24/gimp-prefs-color-management.svg  |    2 +-
 icons/Symbolic/24/gimp-prefs-controllers.svg       |    2 +-
 icons/Symbolic/24/gimp-prefs-default-comment.svg   |    2 +-
 icons/Symbolic/24/gimp-prefs-default-grid.svg      |    2 +-
 icons/Symbolic/24/gimp-prefs-display.svg           |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-brushes.svg   |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-dynamics.svg  |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-environ.svg   |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-fonts.svg     |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-gradients.svg |    2 +-
 .../Symbolic/24/gimp-prefs-folders-icon-themes.svg |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-interp.svg    |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-modules.svg   |    2 +-
 .../24/gimp-prefs-folders-mypaint-brushes.svg      |   50 +-
 icons/Symbolic/24/gimp-prefs-folders-palettes.svg  |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-patterns.svg  |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-plug-ins.svg  |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-scripts.svg   |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-themes.svg    |    2 +-
 .../24/gimp-prefs-folders-tool-plug-ins.svg        |    2 +-
 .../24/gimp-prefs-folders-tool-presets.svg         |    2 +-
 icons/Symbolic/24/gimp-prefs-folders-tools.svg     |    2 +-
 icons/Symbolic/24/gimp-prefs-folders.svg           |    8 +-
 icons/Symbolic/24/gimp-prefs-help-system.svg       |    4 +-
 icons/Symbolic/24/gimp-prefs-icon-theme.svg        |    2 +-
 icons/Symbolic/24/gimp-prefs-image-title.svg       |    2 +-
 .../24/gimp-prefs-image-windows-appearance.svg     |    6 +-
 .../24/gimp-prefs-image-windows-snapping.svg       |    8 +-
 icons/Symbolic/24/gimp-prefs-image-windows.svg     |    2 +-
 icons/Symbolic/24/gimp-prefs-import-export.svg     |    4 +-
 icons/Symbolic/24/gimp-prefs-input-devices.svg     |    2 +-
 icons/Symbolic/24/gimp-prefs-interface.svg         |    2 +-
 icons/Symbolic/24/gimp-prefs-new-image.svg         |    2 +-
 icons/Symbolic/24/gimp-prefs-playground.svg        |    4 +-
 icons/Symbolic/24/gimp-prefs-session.svg           |    2 +-
 icons/Symbolic/24/gimp-prefs-system-resources.svg  |    2 +-
 icons/Symbolic/24/gimp-prefs-theme.svg             |    2 +-
 icons/Symbolic/24/gimp-prefs-tool-options.svg      |    2 +-
 icons/Symbolic/24/gimp-prefs-toolbox.svg           |    2 +-
 icons/Symbolic/24/gimp-prefs-window-management.svg |    2 +-
 icons/Symbolic/24/gimp-question.svg                |    6 +-
 icons/Symbolic/24/gimp-resize.svg                  |    6 +-
 icons/Symbolic/24/gimp-sample-point.svg            |    2 +-
 icons/Symbolic/24/gimp-scale.svg                   |   10 +-
 icons/Symbolic/24/gimp-selection.svg               |    6 +-
 icons/Symbolic/24/gimp-smartphone.svg              |    2 +-
 icons/Symbolic/24/gimp-symmetry.svg                |   12 +-
 icons/Symbolic/24/gimp-template.svg                |   28 +-
 icons/Symbolic/24/gimp-text-layer.svg              |    4 +-
 icons/Symbolic/24/gimp-tool-airbrush.svg           |    4 +-
 icons/Symbolic/24/gimp-tool-align.svg              |    2 +-
 icons/Symbolic/24/gimp-tool-blur.svg               |    2 +-
 .../Symbolic/24/gimp-tool-brightness-contrast.svg  |    2 +-
 icons/Symbolic/24/gimp-tool-bucket-fill.svg        |    6 +-
 icons/Symbolic/24/gimp-tool-by-color-select.svg    |    2 +-
 icons/Symbolic/24/gimp-tool-cage.svg               |    2 +-
 icons/Symbolic/24/gimp-tool-clone.svg              |    2 +-
 icons/Symbolic/24/gimp-tool-color-balance.svg      |    2 +-
 icons/Symbolic/24/gimp-tool-color-picker.svg       |    2 +-
 icons/Symbolic/24/gimp-tool-colorize.svg           |    4 +-
 icons/Symbolic/24/gimp-tool-crop.svg               |    8 +-
 icons/Symbolic/24/gimp-tool-curves.svg             |    2 +-
 icons/Symbolic/24/gimp-tool-desaturate.svg         |    2 +-
 icons/Symbolic/24/gimp-tool-dodge.svg              |    6 +-
 icons/Symbolic/24/gimp-tool-ellipse-select.svg     |    2 +-
 icons/Symbolic/24/gimp-tool-eraser.svg             |    2 +-
 icons/Symbolic/24/gimp-tool-exposure.svg           |    6 +-
 icons/Symbolic/24/gimp-tool-flip.svg               |    2 +-
 icons/Symbolic/24/gimp-tool-foreground-select.svg  |    4 +-
 icons/Symbolic/24/gimp-tool-free-select.svg        |    2 +-
 icons/Symbolic/24/gimp-tool-fuzzy-select.svg       |    2 +-
 icons/Symbolic/24/gimp-tool-gradient.svg           |   78 +-
 icons/Symbolic/24/gimp-tool-handle-transform.svg   |    8 +-
 icons/Symbolic/24/gimp-tool-heal.svg               |    2 +-
 icons/Symbolic/24/gimp-tool-hue-saturation.svg     |    2 +-
 icons/Symbolic/24/gimp-tool-ink.svg                |    2 +-
 icons/Symbolic/24/gimp-tool-iscissors.svg          |    2 +-
 icons/Symbolic/24/gimp-tool-levels.svg             |    2 +-
 icons/Symbolic/24/gimp-tool-measure.svg            |    2 +-
 icons/Symbolic/24/gimp-tool-move.svg               |    2 +-
 icons/Symbolic/24/gimp-tool-mypaint-brush.svg      |    4 +-
 .../Symbolic/24/gimp-tool-n-point-deformation.svg  |    4 +-
 icons/Symbolic/24/gimp-tool-offset.svg             |    4 +-
 icons/Symbolic/24/gimp-tool-options.svg            |    2 +-
 icons/Symbolic/24/gimp-tool-paintbrush.svg         |    4 +-
 icons/Symbolic/24/gimp-tool-path.svg               |    2 +-
 icons/Symbolic/24/gimp-tool-pencil.svg             |    2 +-
 icons/Symbolic/24/gimp-tool-perspective-clone.svg  |    4 +-
 icons/Symbolic/24/gimp-tool-perspective.svg        |    2 +-
 icons/Symbolic/24/gimp-tool-posterize.svg          |    2 +-
 icons/Symbolic/24/gimp-tool-preset.svg             |    4 +-
 icons/Symbolic/24/gimp-tool-rect-select.svg        |    2 +-
 icons/Symbolic/24/gimp-tool-rotate.svg             |   10 +-
 icons/Symbolic/24/gimp-tool-scale.svg              |    4 +-
 icons/Symbolic/24/gimp-tool-seamless-clone.svg     |    2 +-
 icons/Symbolic/24/gimp-tool-shadows-highlights.svg |    2 +-
 icons/Symbolic/24/gimp-tool-shear.svg              |    2 +-
 icons/Symbolic/24/gimp-tool-smudge.svg             |    4 +-
 icons/Symbolic/24/gimp-tool-text.svg               |    2 +-
 icons/Symbolic/24/gimp-tool-threshold.svg          |    2 +-
 icons/Symbolic/24/gimp-tool-transform-3d.svg       |    2 +-
 icons/Symbolic/24/gimp-tool-unified-transform.svg  |    2 +-
 icons/Symbolic/24/gimp-tool-warp.svg               |    2 +-
 icons/Symbolic/24/gimp-tool-zoom.svg               |    2 +-
 icons/Symbolic/24/gimp-tools.svg                   |   14 +-
 icons/Symbolic/24/gimp-transparency.svg            |    2 +-
 icons/Symbolic/24/gimp-undo-history.svg            |   10 +-
 icons/Symbolic/24/gimp-user-manual.svg             |    2 +-
 icons/Symbolic/24/gimp-video.svg                   |    4 +-
 icons/Symbolic/24/gimp-warning.svg                 |    2 +-
 icons/Symbolic/24/gimp-web.svg                     |    4 +-
 icons/Symbolic/24/gimp-wilber.svg                  |    2 +-
 icons/Symbolic/24/gtk-select-color.svg             |    2 +-
 icons/Symbolic/24/media-floppy.svg                 |    4 +-
 icons/Symbolic/24/media-optical.svg                |    4 +-
 icons/Symbolic/scalable/dialog-information.svg     |    4 +-
 icons/Symbolic/scalable/document-new.svg           |    4 +-
 icons/Symbolic/scalable/document-open-recent.svg   |    8 +-
 icons/Symbolic/scalable/document-open.svg          |    4 +-
 icons/Symbolic/scalable/document-print.svg         |    2 +-
 icons/Symbolic/scalable/document-revert.svg        |    4 +-
 icons/Symbolic/scalable/document-save-as.svg       |   10 +-
 icons/Symbolic/scalable/document-save.svg          |   10 +-
 icons/Symbolic/scalable/edit-clear.svg             |    2 +-
 icons/Symbolic/scalable/edit-copy.svg              |    2 +-
 icons/Symbolic/scalable/edit-cut.svg               |    6 +-
 icons/Symbolic/scalable/edit-delete.svg            |    2 +-
 icons/Symbolic/scalable/edit-paste.svg             |    2 +-
 icons/Symbolic/scalable/edit-redo.svg              |    4 +-
 icons/Symbolic/scalable/edit-undo.svg              |    4 +-
 icons/Symbolic/scalable/folder-new.svg             |    2 +-
 icons/Symbolic/scalable/folder.svg                 |    2 +-
 icons/Symbolic/scalable/format-indent-more.svg     |    2 +-
 icons/Symbolic/scalable/format-justify-center.svg  |    8 +-
 icons/Symbolic/scalable/format-justify-fill.svg    |    8 +-
 icons/Symbolic/scalable/format-justify-left.svg    |    8 +-
 icons/Symbolic/scalable/format-justify-right.svg   |    8 +-
 icons/Symbolic/scalable/gimp-anchor.svg            |    4 +-
 icons/Symbolic/scalable/gimp-attach.svg            |    4 +-
 icons/Symbolic/scalable/gimp-business-card.svg     |   12 +-
 icons/Symbolic/scalable/gimp-cap-butt.svg          |    2 +-
 icons/Symbolic/scalable/gimp-cap-round.svg         |    2 +-
 icons/Symbolic/scalable/gimp-cap-square.svg        |    2 +-
 icons/Symbolic/scalable/gimp-center.svg            |    6 +-
 icons/Symbolic/scalable/gimp-channel-alpha.svg     |    2 +-
 icons/Symbolic/scalable/gimp-channel-blue.svg      |    2 +-
 icons/Symbolic/scalable/gimp-channel-gray.svg      |    2 +-
 icons/Symbolic/scalable/gimp-channel-green.svg     |    2 +-
 icons/Symbolic/scalable/gimp-channel-indexed.svg   |    2 +-
 icons/Symbolic/scalable/gimp-channel-red.svg       |    2 +-
 icons/Symbolic/scalable/gimp-channel.svg           |    4 +-
 icons/Symbolic/scalable/gimp-channels.svg          |    2 +-
 icons/Symbolic/scalable/gimp-char-picker.svg       |    6 +-
 icons/Symbolic/scalable/gimp-clipboard.svg         |    2 +-
 icons/Symbolic/scalable/gimp-close-all.svg         |    4 +-
 icons/Symbolic/scalable/gimp-close.svg             |    4 +-
 icons/Symbolic/scalable/gimp-color-cmyk.svg        |   14 +-
 .../scalable/gimp-color-pick-from-screen.svg       |    2 +-
 .../Symbolic/scalable/gimp-color-picker-black.svg  |    2 +-
 icons/Symbolic/scalable/gimp-color-picker-gray.svg |    2 +-
 .../Symbolic/scalable/gimp-color-picker-white.svg  |    2 +-
 .../Symbolic/scalable/gimp-color-space-linear.svg  |    4 +-
 .../scalable/gimp-color-space-non-linear.svg       |    4 +-
 .../scalable/gimp-color-space-perceptual.svg       |    4 +-
 icons/Symbolic/scalable/gimp-color-triangle.svg    |    2 +-
 icons/Symbolic/scalable/gimp-color-water.svg       |   14 +-
 icons/Symbolic/scalable/gimp-colormap.svg          |    2 +-
 .../Symbolic/scalable/gimp-controller-keyboard.svg |    2 +-
 .../scalable/gimp-controller-linux-input.svg       |    2 +-
 icons/Symbolic/scalable/gimp-controller-midi.svg   |    2 +-
 icons/Symbolic/scalable/gimp-controller-wheel.svg  |    2 +-
 icons/Symbolic/scalable/gimp-controller.svg        |    2 +-
 icons/Symbolic/scalable/gimp-convert-grayscale.svg |    4 +-
 icons/Symbolic/scalable/gimp-convert-indexed.svg   |    2 +-
 icons/Symbolic/scalable/gimp-convert-rgb.svg       |    6 +-
 icons/Symbolic/scalable/gimp-cursor.svg            |    2 +-
 icons/Symbolic/scalable/gimp-curve-free.svg        |    2 +-
 .../Symbolic/scalable/gimp-curve-point-corner.svg  |    2 +-
 .../Symbolic/scalable/gimp-curve-point-smooth.svg  |    2 +-
 icons/Symbolic/scalable/gimp-curve-smooth.svg      |    2 +-
 icons/Symbolic/scalable/gimp-dashboard.svg         |    2 +-
 icons/Symbolic/scalable/gimp-default-colors.svg    |    2 +-
 icons/Symbolic/scalable/gimp-detach.svg            |    4 +-
 icons/Symbolic/scalable/gimp-device-status.svg     |    2 +-
 .../scalable/gimp-display-filter-clip-warning.svg  |   18 +-
 .../scalable/gimp-display-filter-colorblind.svg    |    2 +-
 .../scalable/gimp-display-filter-contrast.svg      |    2 +-
 .../scalable/gimp-display-filter-gamma.svg         |    2 +-
 .../Symbolic/scalable/gimp-display-filter-lcms.svg |    4 +-
 .../scalable/gimp-display-filter-proof.svg         |    2 +-
 icons/Symbolic/scalable/gimp-display-filter.svg    |    2 +-
 icons/Symbolic/scalable/gimp-display.svg           |    4 +-
 icons/Symbolic/scalable/gimp-duplicate.svg         |    2 +-
 icons/Symbolic/scalable/gimp-dynamics.svg          |    2 +-
 icons/Symbolic/scalable/gimp-error.svg             |    4 +-
 icons/Symbolic/scalable/gimp-file-manager.svg      |    2 +-
 icons/Symbolic/scalable/gimp-flip-horizontal.svg   |    2 +-
 icons/Symbolic/scalable/gimp-flip-vertical.svg     |    2 +-
 .../Symbolic/scalable/gimp-floating-selection.svg  |    2 +-
 icons/Symbolic/scalable/gimp-gegl.svg              |    2 +-
 icons/Symbolic/scalable/gimp-gradient-bilinear.svg |    2 +-
 .../scalable/gimp-gradient-conical-asymmetric.svg  |    2 +-
 .../scalable/gimp-gradient-conical-symmetric.svg   |    2 +-
 icons/Symbolic/scalable/gimp-gradient-linear.svg   |    2 +-
 icons/Symbolic/scalable/gimp-gradient-radial.svg   |    2 +-
 .../scalable/gimp-gradient-shapeburst-angular.svg  |    4 +-
 .../scalable/gimp-gradient-shapeburst-dimpled.svg  |    4 +-
 .../gimp-gradient-shapeburst-spherical.svg         |    4 +-
 .../gimp-gradient-spiral-anticlockwise.svg         |    2 +-
 .../scalable/gimp-gradient-spiral-clockwise.svg    |    2 +-
 icons/Symbolic/scalable/gimp-gradient-square.svg   |    6 +-
 icons/Symbolic/scalable/gimp-gravity-east.svg      |    2 +-
 .../Symbolic/scalable/gimp-gravity-north-east.svg  |    2 +-
 .../Symbolic/scalable/gimp-gravity-north-west.svg  |    2 +-
 icons/Symbolic/scalable/gimp-gravity-north.svg     |    2 +-
 .../Symbolic/scalable/gimp-gravity-south-east.svg  |    2 +-
 .../Symbolic/scalable/gimp-gravity-south-west.svg  |    2 +-
 icons/Symbolic/scalable/gimp-gravity-south.svg     |    2 +-
 icons/Symbolic/scalable/gimp-gravity-west.svg      |    2 +-
 icons/Symbolic/scalable/gimp-grid.svg              |    2 +-
 icons/Symbolic/scalable/gimp-group-layer.svg       |    4 +-
 icons/Symbolic/scalable/gimp-hcenter.svg           |    2 +-
 icons/Symbolic/scalable/gimp-hchain-broken.svg     |    4 +-
 icons/Symbolic/scalable/gimp-hchain.svg            |    2 +-
 icons/Symbolic/scalable/gimp-hfill.svg             |    2 +-
 icons/Symbolic/scalable/gimp-histogram-linear.svg  |    2 +-
 .../scalable/gimp-histogram-logarithmic.svg        |    2 +-
 icons/Symbolic/scalable/gimp-histogram.svg         |    2 +-
 icons/Symbolic/scalable/gimp-image-open.svg        |    6 +-
 icons/Symbolic/scalable/gimp-image-reload.svg      |    6 +-
 icons/Symbolic/scalable/gimp-image.svg             |    2 +-
 icons/Symbolic/scalable/gimp-images.svg            |    2 +-
 icons/Symbolic/scalable/gimp-info.svg              |    2 +-
 icons/Symbolic/scalable/gimp-input-device.svg      |    2 +-
 icons/Symbolic/scalable/gimp-invert.svg            |    2 +-
 icons/Symbolic/scalable/gimp-join-bevel.svg        |    2 +-
 icons/Symbolic/scalable/gimp-join-miter.svg        |    2 +-
 icons/Symbolic/scalable/gimp-join-round.svg        |    2 +-
 icons/Symbolic/scalable/gimp-landscape.svg         |    2 +-
 icons/Symbolic/scalable/gimp-layer-mask.svg        |    2 +-
 .../Symbolic/scalable/gimp-layer-to-imagesize.svg  |    2 +-
 icons/Symbolic/scalable/gimp-layer.svg             |    2 +-
 icons/Symbolic/scalable/gimp-layers.svg            |    2 +-
 icons/Symbolic/scalable/gimp-letter-spacing.svg    |    2 +-
 icons/Symbolic/scalable/gimp-line-spacing.svg      |    2 +-
 icons/Symbolic/scalable/gimp-linked.svg            |    2 +-
 icons/Symbolic/scalable/gimp-list.svg              |    8 +-
 icons/Symbolic/scalable/gimp-marker.svg            |   18 +-
 icons/Symbolic/scalable/gimp-menu-left.svg         |    2 +-
 icons/Symbolic/scalable/gimp-menu-right.svg        |    2 +-
 icons/Symbolic/scalable/gimp-merge-down.svg        |    2 +-
 icons/Symbolic/scalable/gimp-move-to-screen.svg    |    2 +-
 icons/Symbolic/scalable/gimp-navigation.svg        |    2 +-
 icons/Symbolic/scalable/gimp-paste-as-new.svg      |    2 +-
 icons/Symbolic/scalable/gimp-paste-into.svg        |    2 +-
 icons/Symbolic/scalable/gimp-path-stroke.svg       |    2 +-
 icons/Symbolic/scalable/gimp-path.svg              |    2 +-
 icons/Symbolic/scalable/gimp-paths.svg             |    2 +-
 icons/Symbolic/scalable/gimp-pattern.svg           |   18 +-
 icons/Symbolic/scalable/gimp-pivot-center.svg      |    2 +-
 icons/Symbolic/scalable/gimp-pivot-east.svg        |    6 +-
 icons/Symbolic/scalable/gimp-pivot-north-east.svg  |    6 +-
 icons/Symbolic/scalable/gimp-pivot-north-west.svg  |    6 +-
 icons/Symbolic/scalable/gimp-pivot-north.svg       |    6 +-
 icons/Symbolic/scalable/gimp-pivot-south-east.svg  |    6 +-
 icons/Symbolic/scalable/gimp-pivot-south-west.svg  |    6 +-
 icons/Symbolic/scalable/gimp-pivot-south.svg       |    6 +-
 icons/Symbolic/scalable/gimp-pivot-west.svg        |    6 +-
 icons/Symbolic/scalable/gimp-plugin.svg            |    2 +-
 icons/Symbolic/scalable/gimp-portrait.svg          |    4 +-
 .../scalable/gimp-prefs-color-management.svg       |    2 +-
 icons/Symbolic/scalable/gimp-prefs-controllers.svg |    2 +-
 .../scalable/gimp-prefs-default-comment.svg        |    2 +-
 .../Symbolic/scalable/gimp-prefs-default-grid.svg  |    2 +-
 icons/Symbolic/scalable/gimp-prefs-display.svg     |    2 +-
 .../scalable/gimp-prefs-folders-brushes.svg        |    2 +-
 .../scalable/gimp-prefs-folders-dynamics.svg       |    2 +-
 .../scalable/gimp-prefs-folders-environ.svg        |    2 +-
 .../Symbolic/scalable/gimp-prefs-folders-fonts.svg |    2 +-
 .../scalable/gimp-prefs-folders-gradients.svg      |    2 +-
 .../scalable/gimp-prefs-folders-icon-themes.svg    |    2 +-
 .../scalable/gimp-prefs-folders-interp.svg         |    2 +-
 .../scalable/gimp-prefs-folders-modules.svg        |    2 +-
 .../gimp-prefs-folders-mypaint-brushes.svg         |   52 +-
 .../scalable/gimp-prefs-folders-palettes.svg       |    2 +-
 .../scalable/gimp-prefs-folders-patterns.svg       |    2 +-
 .../scalable/gimp-prefs-folders-plug-ins.svg       |    2 +-
 .../scalable/gimp-prefs-folders-scripts.svg        |    2 +-
 .../scalable/gimp-prefs-folders-themes.svg         |    2 +-
 .../scalable/gimp-prefs-folders-tool-plug-ins.svg  |    2 +-
 .../scalable/gimp-prefs-folders-tool-presets.svg   |    2 +-
 .../Symbolic/scalable/gimp-prefs-folders-tools.svg |    2 +-
 icons/Symbolic/scalable/gimp-prefs-folders.svg     |    6 +-
 icons/Symbolic/scalable/gimp-prefs-help-system.svg |    4 +-
 icons/Symbolic/scalable/gimp-prefs-icon-theme.svg  |    2 +-
 icons/Symbolic/scalable/gimp-prefs-image-title.svg |    2 +-
 .../gimp-prefs-image-windows-appearance.svg        |    4 +-
 .../scalable/gimp-prefs-image-windows-snapping.svg |    8 +-
 .../Symbolic/scalable/gimp-prefs-image-windows.svg |    2 +-
 .../Symbolic/scalable/gimp-prefs-import-export.svg |    4 +-
 .../Symbolic/scalable/gimp-prefs-input-devices.svg |    2 +-
 icons/Symbolic/scalable/gimp-prefs-interface.svg   |    2 +-
 icons/Symbolic/scalable/gimp-prefs-new-image.svg   |    2 +-
 icons/Symbolic/scalable/gimp-prefs-playground.svg  |    4 +-
 icons/Symbolic/scalable/gimp-prefs-session.svg     |    2 +-
 .../scalable/gimp-prefs-system-resources.svg       |    2 +-
 icons/Symbolic/scalable/gimp-prefs-theme.svg       |    2 +-
 .../Symbolic/scalable/gimp-prefs-tool-options.svg  |    2 +-
 icons/Symbolic/scalable/gimp-prefs-toolbox.svg     |    2 +-
 .../scalable/gimp-prefs-window-management.svg      |    2 +-
 icons/Symbolic/scalable/gimp-question.svg          |    6 +-
 icons/Symbolic/scalable/gimp-quick-mask-off.svg    |    2 +-
 icons/Symbolic/scalable/gimp-quick-mask-on.svg     |    2 +-
 icons/Symbolic/scalable/gimp-reset.svg             |    2 +-
 icons/Symbolic/scalable/gimp-reshow-filter.svg     |    8 +-
 icons/Symbolic/scalable/gimp-resize.svg            |    2 +-
 icons/Symbolic/scalable/gimp-rotate-180.svg        |    2 +-
 icons/Symbolic/scalable/gimp-rotate-270.svg        |    2 +-
 icons/Symbolic/scalable/gimp-rotate-90.svg         |    2 +-
 icons/Symbolic/scalable/gimp-sample-point.svg      |    2 +-
 icons/Symbolic/scalable/gimp-scale.svg             |    2 +-
 icons/Symbolic/scalable/gimp-selection-add.svg     |    2 +-
 icons/Symbolic/scalable/gimp-selection-all.svg     |    2 +-
 icons/Symbolic/scalable/gimp-selection-border.svg  |    2 +-
 icons/Symbolic/scalable/gimp-selection-grow.svg    |    2 +-
 .../Symbolic/scalable/gimp-selection-intersect.svg |    2 +-
 icons/Symbolic/scalable/gimp-selection-none.svg    |    2 +-
 icons/Symbolic/scalable/gimp-selection-replace.svg |    2 +-
 icons/Symbolic/scalable/gimp-selection-shrink.svg  |    2 +-
 icons/Symbolic/scalable/gimp-selection-stroke.svg  |    4 +-
 .../Symbolic/scalable/gimp-selection-subtract.svg  |    2 +-
 .../scalable/gimp-selection-to-channel.svg         |    2 +-
 icons/Symbolic/scalable/gimp-selection-to-path.svg |    2 +-
 icons/Symbolic/scalable/gimp-selection.svg         |    4 +-
 icons/Symbolic/scalable/gimp-shape-circle.svg      |    2 +-
 icons/Symbolic/scalable/gimp-shape-diamond.svg     |    2 +-
 icons/Symbolic/scalable/gimp-shape-square.svg      |    2 +-
 icons/Symbolic/scalable/gimp-shred.svg             |   14 +-
 icons/Symbolic/scalable/gimp-smartphone.svg        |    2 +-
 icons/Symbolic/scalable/gimp-swap-colors.svg       |    2 +-
 icons/Symbolic/scalable/gimp-symmetry.svg          |    2 +-
 icons/Symbolic/scalable/gimp-template.svg          |   34 +-
 icons/Symbolic/scalable/gimp-text-dir-ltr.svg      |    2 +-
 icons/Symbolic/scalable/gimp-text-dir-rtl.svg      |    2 +-
 .../scalable/gimp-text-dir-ttb-ltr-upright.svg     |   12 +-
 icons/Symbolic/scalable/gimp-text-dir-ttb-ltr.svg  |   12 +-
 .../scalable/gimp-text-dir-ttb-rtl-upright.svg     |   12 +-
 icons/Symbolic/scalable/gimp-text-dir-ttb-rtl.svg  |   12 +-
 icons/Symbolic/scalable/gimp-text-layer.svg        |    2 +-
 icons/Symbolic/scalable/gimp-toilet-paper.svg      |    4 +-
 icons/Symbolic/scalable/gimp-tool-airbrush.svg     |    4 +-
 icons/Symbolic/scalable/gimp-tool-align.svg        |    2 +-
 icons/Symbolic/scalable/gimp-tool-blur.svg         |    2 +-
 .../scalable/gimp-tool-brightness-contrast.svg     |    2 +-
 icons/Symbolic/scalable/gimp-tool-bucket-fill.svg  |    2 +-
 .../scalable/gimp-tool-by-color-select.svg         |    2 +-
 icons/Symbolic/scalable/gimp-tool-cage.svg         |    2 +-
 icons/Symbolic/scalable/gimp-tool-clone.svg        |    2 +-
 .../Symbolic/scalable/gimp-tool-color-balance.svg  |    2 +-
 icons/Symbolic/scalable/gimp-tool-color-picker.svg |    2 +-
 .../scalable/gimp-tool-color-temperature.svg       |   18 +-
 icons/Symbolic/scalable/gimp-tool-colorize.svg     |    2 +-
 icons/Symbolic/scalable/gimp-tool-crop.svg         |    2 +-
 icons/Symbolic/scalable/gimp-tool-curves.svg       |    2 +-
 icons/Symbolic/scalable/gimp-tool-desaturate.svg   |    2 +-
 icons/Symbolic/scalable/gimp-tool-dodge.svg        |    2 +-
 .../Symbolic/scalable/gimp-tool-ellipse-select.svg |    2 +-
 icons/Symbolic/scalable/gimp-tool-eraser.svg       |    2 +-
 icons/Symbolic/scalable/gimp-tool-exposure.svg     |    6 +-
 icons/Symbolic/scalable/gimp-tool-flip.svg         |    2 +-
 .../scalable/gimp-tool-foreground-select.svg       |    4 +-
 icons/Symbolic/scalable/gimp-tool-free-select.svg  |    2 +-
 icons/Symbolic/scalable/gimp-tool-fuzzy-select.svg |    2 +-
 icons/Symbolic/scalable/gimp-tool-gradient.svg     |    6 +-
 .../scalable/gimp-tool-handle-transform.svg        |    2 +-
 icons/Symbolic/scalable/gimp-tool-heal.svg         |    2 +-
 .../Symbolic/scalable/gimp-tool-hue-saturation.svg |    2 +-
 icons/Symbolic/scalable/gimp-tool-ink.svg          |    2 +-
 icons/Symbolic/scalable/gimp-tool-iscissors.svg    |    2 +-
 icons/Symbolic/scalable/gimp-tool-levels.svg       |    2 +-
 icons/Symbolic/scalable/gimp-tool-measure.svg      |    2 +-
 icons/Symbolic/scalable/gimp-tool-move.svg         |    2 +-
 .../Symbolic/scalable/gimp-tool-mypaint-brush.svg  |    2 +-
 .../scalable/gimp-tool-n-point-deformation.svg     |    2 +-
 icons/Symbolic/scalable/gimp-tool-offset.svg       |    4 +-
 icons/Symbolic/scalable/gimp-tool-options.svg      |    2 +-
 icons/Symbolic/scalable/gimp-tool-paintbrush.svg   |    4 +-
 icons/Symbolic/scalable/gimp-tool-path.svg         |    2 +-
 icons/Symbolic/scalable/gimp-tool-pencil.svg       |    2 +-
 .../scalable/gimp-tool-perspective-clone.svg       |    2 +-
 icons/Symbolic/scalable/gimp-tool-perspective.svg  |    2 +-
 icons/Symbolic/scalable/gimp-tool-posterize.svg    |    2 +-
 icons/Symbolic/scalable/gimp-tool-preset.svg       |    2 +-
 icons/Symbolic/scalable/gimp-tool-rect-select.svg  |    2 +-
 icons/Symbolic/scalable/gimp-tool-rotate.svg       |   10 +-
 icons/Symbolic/scalable/gimp-tool-scale.svg        |    2 +-
 .../Symbolic/scalable/gimp-tool-seamless-clone.svg |    2 +-
 .../scalable/gimp-tool-shadows-highlights.svg      |    2 +-
 icons/Symbolic/scalable/gimp-tool-shear.svg        |    2 +-
 icons/Symbolic/scalable/gimp-tool-smudge.svg       |    4 +-
 icons/Symbolic/scalable/gimp-tool-text.svg         |    2 +-
 icons/Symbolic/scalable/gimp-tool-threshold.svg    |    2 +-
 icons/Symbolic/scalable/gimp-tool-transform-3d.svg |    2 +-
 .../scalable/gimp-tool-unified-transform.svg       |    2 +-
 icons/Symbolic/scalable/gimp-tool-warp.svg         |    2 +-
 icons/Symbolic/scalable/gimp-tool-zoom.svg         |    2 +-
 icons/Symbolic/scalable/gimp-tools.svg             |    2 +-
 .../Symbolic/scalable/gimp-transform-3d-camera.svg |    4 +-
 icons/Symbolic/scalable/gimp-transform-3d-move.svg |    4 +-
 .../Symbolic/scalable/gimp-transform-3d-rotate.svg |    8 +-
 icons/Symbolic/scalable/gimp-transparency.svg      |    2 +-
 icons/Symbolic/scalable/gimp-undo-history.svg      |    4 +-
 icons/Symbolic/scalable/gimp-user-manual.svg       |    2 +-
 icons/Symbolic/scalable/gimp-vcenter.svg           |    2 +-
 icons/Symbolic/scalable/gimp-vchain-broken.svg     |    4 +-
 icons/Symbolic/scalable/gimp-vchain.svg            |    2 +-
 icons/Symbolic/scalable/gimp-vfill.svg             |    2 +-
 icons/Symbolic/scalable/gimp-video.svg             |    2 +-
 icons/Symbolic/scalable/gimp-visible.svg           |    6 +-
 icons/Symbolic/scalable/gimp-warning.svg           |    2 +-
 icons/Symbolic/scalable/gimp-web.svg               |    6 +-
 icons/Symbolic/scalable/gimp-wilber-eek.svg        |    2 +-
 icons/Symbolic/scalable/gimp-wilber-outline.svg    |    2 +-
 icons/Symbolic/scalable/gimp-wilber.svg            |    2 +-
 .../Symbolic/scalable/gimp-zoom-follow-window.svg  |    2 +-
 icons/Symbolic/scalable/go-bottom.svg              |    4 +-
 icons/Symbolic/scalable/go-down.svg                |    2 +-
 icons/Symbolic/scalable/go-first.svg               |    4 +-
 icons/Symbolic/scalable/go-home.svg                |    8 +-
 icons/Symbolic/scalable/go-last.svg                |    4 +-
 icons/Symbolic/scalable/go-next.svg                |    2 +-
 icons/Symbolic/scalable/go-previous.svg            |    2 +-
 icons/Symbolic/scalable/go-top.svg                 |    4 +-
 icons/Symbolic/scalable/go-up.svg                  |    2 +-
 icons/Symbolic/scalable/gtk-cancel.svg             |    2 +-
 icons/Symbolic/scalable/gtk-edit.svg               |    2 +-
 icons/Symbolic/scalable/gtk-no.svg                 |    2 +-
 icons/Symbolic/scalable/gtk-ok.svg                 |    4 +-
 icons/Symbolic/scalable/gtk-select-color.svg       |    2 +-
 icons/Symbolic/scalable/gtk-select-font.svg        |    6 +-
 icons/Symbolic/scalable/gtk-yes.svg                |    2 +-
 icons/Symbolic/scalable/help-about.svg             |    2 +-
 icons/Symbolic/scalable/list-add.svg               |    4 +-
 icons/Symbolic/scalable/list-remove.svg            |    2 +-
 icons/Symbolic/scalable/media-floppy.svg           |    4 +-
 icons/Symbolic/scalable/media-optical.svg          |    4 +-
 icons/Symbolic/scalable/media-playback-pause.svg   |    4 +-
 icons/Symbolic/scalable/media-playback-start.svg   |    2 +-
 icons/Symbolic/scalable/media-record.svg           |    2 +-
 icons/Symbolic/scalable/media-seek-backward.svg    |    4 +-
 icons/Symbolic/scalable/media-skip-backward.svg    |    6 +-
 icons/Symbolic/scalable/media-skip-forward.svg     |    6 +-
 icons/Symbolic/scalable/preferences-system.svg     |    4 +-
 icons/Symbolic/scalable/process-stop.svg           |    4 +-
 icons/Symbolic/scalable/system-run.svg             |    4 +-
 icons/Symbolic/scalable/view-fullscreen.svg        |    4 +-
 icons/Symbolic/scalable/view-refresh.svg           |    4 +-
 icons/Symbolic/scalable/window-close.svg           |    2 +-
 icons/Symbolic/scalable/window-new.svg             |    6 +-
 icons/Symbolic/scalable/zoom-fit-best.svg          |    2 +-
 icons/Symbolic/scalable/zoom-in.svg                |    2 +-
 icons/Symbolic/scalable/zoom-original.svg          |    2 +-
 icons/Symbolic/scalable/zoom-out.svg               |    2 +-
 icons/Symbolic/symbolic-scalable.svg               |  674 +++----
 tools/.gitignore                                   |    4 +-
 tools/Makefile.am                                  |   14 +-
 tools/{invert-svg.c => svg-contrast.c}             |   66 +-
 530 files changed, 5415 insertions(+), 1432 deletions(-)

commit 6bed57abe248c59acf886654d1ebd1ccb09e840d
Author: Ell <ell_se@yahoo.com>
Date:   Sat Feb 22 22:23:12 2020 +0200

    configure.ac, app: temporarily revert GEGL dependency to 0.4.22
    for release

    ... and work around the missing gegl_buffer_share_storage() API in
    gimp:replace.

 app/operations/layer-modes/gimpoperationreplace.c | 63
 +++++++++++++----------
 app/sanity.c                                      |  2 +-
 configure.ac                                      |  2 +-
 3 files changed, 38 insertions(+), 29 deletions(-)

commit 696bb3fa2163232f89533a1698035e93afcaaf0a
Author: Jehan <jehan@girinstud.io>
Date:   Sat Feb 22 19:54:15 2020 +0100

    app: use GIMP_BUILD_PLATFORM_FAMILY instead of GIMP_BUILD_PLATFORM.

    I didn't realize it because the meson build was returning 'windows'
    for
    GIMP_BUILD_PLATFORM when I cross-built with Mingw-w64. But in the
    autotools, it was storing "mingw32", which would not compare with our
    gimp_versions.json. Therefore in GIMP 2.10.16, the version update
    check
    would have worked, but not the revision check.
    This fixes the problem.

    (cherry picked from commit a5ea6d6b9bc1f14e5e81287a8ca04a58b9411cb4)

 app/gimp-update.c  | 16 ++++++++--------
 app/gimp-version.c |  2 +-
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 6e6366e53ce89bbad57e7d03b9226b8fb9ad14f0
Author: Ell <ell_se@yahoo.com>
Date:   Sat Feb 22 18:20:13 2020 +0200

    plug-ins: in file-psd, use scratch allocator for temporary CMYK
    buffers; cleanup

    (cherry picked from commit 1b6191d176f6cc06697b08b0af8d03ad6a818b73)

 plug-ins/file-psd/psd-load.c | 51
 +++++++++++---------------------------------
 1 file changed, 13 insertions(+), 38 deletions(-)

commit 49b12b58af99db3b4e0fea5cace36267a72e464c
Author: Ell <ell_se@yahoo.com>
Date:   Sat Feb 22 17:32:23 2020 +0200

    app: in the Preferences dialog, allow horizontal scrollbars in
    all tree-views

    Allow horizontal scrollbars in all the Preferences dialog tree-
    views, so that they don't limit the minimal width of the dialog (in
    particular, the UI- and icon-theme tree-views may contain
    arbitrarily-long paths).

    (cherry picked from commit d868247fd9ae9c0f03c2f63a26ffd011f97f849c)

 app/dialogs/preferences-dialog.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7b7ff8e1525210ecdbd0f49dbfc33538f6c376a5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 22 16:22:54 2020 +0100

    Update Polish translation

 po/pl.po | 324
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 166 insertions(+), 158 deletions(-)

commit 38a9e808211f0a80a7f6966df52b89fb1280d405
Author: Ell <ell_se@yahoo.com>
Date:   Sat Feb 22 15:32:54 2020 +0200

    app: draw border around FG/BG-editor color areas

    In GimpFgBgEditor, we currently use gtk_render_frame() in master,
    and gtk_paint_shadow() in gimp-2-10, to draw a border around the
    color FG/BG color areas.  However, the former is relatively
    subtle, especially with dark themes, and the latter is a NOP with
    the pixmap engine, which is what our built-in themes use.

    Instead, draw the border ourselves as a pair of black and white
    rectangles, similarly to Photoshop.

    Move the entire color-frame drawing functionality to a separate
    function, to avoid code duplication between the FG and BG frames.

    (cherry picked from commit fb1c0860974fa7b3734e162afb193040d11f9678)

 app/widgets/gimpfgbgeditor.c | 248
 ++++++++++++++++++++-----------------------
 1 file changed, 116 insertions(+), 132 deletions(-)

commit 1432f5ca4f05d72491b3d833577e11acbb76c660
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Feb 22 12:55:08 2020 +0000

    Update Swedish translation

 po/sv.po | 234
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 121 insertions(+), 113 deletions(-)

commit 878f22223399750fbeb9982a8ba961ef84b1f78c
Author: Ell <ell_se@yahoo.com>
Date:   Sat Feb 22 12:41:47 2020 +0200

    app: suspend layer-group size updates while loading XCF

    In xcf_load_image(), suspend size updates for layer groups before
    adding their sublayers, to avoid unnecessary intermediary size
    updates.  Resume size updates in reverse order, so that nested
    groups are updated before their ancestors, after all layers have
    been loaded.

    (cherry picked from commit 63df5602a2cf3942db080c69c084cf70560f5efa)

 app/xcf/xcf-load.c | 42 +++++++++++++++++++++++++++++++++++++-----
 1 file changed, 37 insertions(+), 5 deletions(-)

commit b495475ad9de5775d05274be5b8ecff2bc26e538
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 22:28:16 2020 +0200

    Issue #4634 - Pass-through groups bounding-box is not properly
    updated ...

    ... causing artifacts

    In GimpGroupLayer, override GimpLayer::get_bounding_box() to return
    the group's own calculated bounding box for pass-through groups,
    instead of using the group graph's bounding box, as calculated by
    the default implementation of GimpDrawable::get_bounding_box().
    We don't currently update the group's bounding box in response to
    all the events that may affect the graph's bounding box, which can
    lead to artifacts, neither should we use the graph's bounding box
    anyway, since it includes the backdrop's bounding box, as the
    group's layers are composited against the background.

    Note that we still use the graph's bounding box for non-pass-
    through groups, since it takes attached filters into account,
    which are applicable for normal groups, but not pass-through
    groups.

    Additionally, don't restrict the group's bounding when it has a
    mask, since this is now handled by GimpLayer.

    (cherry picked from commit aa9ae1c65c95c8afbc3b1a0d6606eb096e324a73)

 app/core/gimpgrouplayer.c | 83
 +++++++++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 39 deletions(-)

commit 3e9276eae7821e2eb942c17d8e6c31ca74dd1a9c
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 22:26:47 2020 +0200

    app: fix layer group effective mode for different mask modes

    In gimp_group_layer_get_effective_mode(), don't take the mask into
    account if GimpLayer::apply-mask is FALSE.

    (cherry picked from commit 8c81c6e1539d0729a218b2e729c295ee27e1c1a7)

 app/core/gimpgrouplayer.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 983698ecc1a21f7a6cf6bb06f79ccd27d704758b
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 22:11:12 2020 +0200

    app: fix layer bounding box for different mask modes

    In gimp_layer_get_bounding_box(), return the mask bounding box when
    show-mask is active, and otherwise delegate the actual layer
    bounding box calculation to a new GimpLayer::get_bounding_box()
    function, and intersect its result with the mask bounding box, if
    necessary.  The default GimpLayer::get_bounding_box()
    implementation simply chains up to
    GimpDrawable::get_bounding_box(), but GimpGroupLayer will override
    this function in the following commits.

    (cherry picked from commit 7f53cf9c556c547b5819182ea4ddeb7d0155dba6)

 app/core/gimplayer.c |  40 ++++++++++++-----
 app/core/gimplayer.h | 123
 ++++++++++++++++++++++++++-------------------------
 2 files changed, 91 insertions(+), 72 deletions(-)

commit 603d0a6274582f8211b4e723696d02eae73199b8
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 22:05:44 2020 +0200

    app: fix layer effective mode for different mask modes

    In GimpLayer, update the effective mode, and excludes-backdrop,
    when any of the mask-related properties change, and, when show-mask
    is active, set the effective mode to NORMAL.

    (cherry picked from commit b2a1a7cb01ff9b5a1cc31470494797869d4c320b)

 app/core/gimplayer.c | 39 ++++++++++++++++++++++++++++++++++-----
 1 file changed, 34 insertions(+), 5 deletions(-)

commit 3c702fbc1c6f10a26c2951dd090e75dcfb3822da
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 21:58:15 2020 +0200

    app: fix compositing of layers with masks, outside the mask bounds

    In GimpOperationLayerMode, when the op has a mask connected, and
    we're processing an area outside the mask bounds, set the op's
    opacity to 0, so that the backdrop shows through.  The actual
    process() function gets a NULL mask pointer in this case, and so
    would composite the layer as if it had no mask, exposing areas that
    should be masked out.

    Add a GimpOperationLayerMode::parent_process() function, which
    subclasses can override instead of GeglOperation::process(), and
    make sure to update the GimpOperationLayerMode::opacity field
    before calling this function (and, subsequently, before calling
    GimpOperationLayerMode::process()).

    Clean up the rest of the fields, and adjust the rest of the code.

    (cherry picked from commit 646c804c04d889cded0afc6a1badc1b5064876aa)

 .../layer-modes/gimpoperationantierase.c           |   2 +-
 app/operations/layer-modes/gimpoperationbehind.c   |   2 +-
 app/operations/layer-modes/gimpoperationdissolve.c |   8 +-
 app/operations/layer-modes/gimpoperationerase.c    |   2 +-
 .../layer-modes/gimpoperationlayermode.c           | 184
 +++++++++++++--------
 .../layer-modes/gimpoperationlayermode.h           |  10 +-
 app/operations/layer-modes/gimpoperationmerge.c    |   2 +-
 .../layer-modes/gimpoperationnormal-sse2.c         |   2 +-
 .../layer-modes/gimpoperationnormal-sse4.c         |   2 +-
 app/operations/layer-modes/gimpoperationnormal.c   |   2 +-
 app/operations/layer-modes/gimpoperationreplace.c  |  20 +--
 app/operations/layer-modes/gimpoperationsplit.c    |   2 +-
 app/paint/gimppaintcore-loops.cc                   |  15 +-
 13 files changed, 154 insertions(+), 99 deletions(-)

commit 644f14da45747163f2faee47e0098772d6d5dc02
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Feb 21 22:50:05 2020 +0300

    2.10.18: update appdata

 desktop/org.gimp.GIMP.appdata.xml.in.in | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 1054fc4488fdc747790397426ca61ae9fe047101
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Feb 21 19:05:44 2020 +0100

    configure.ac: bump versions for the 2.10.18 release

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 17de63d732e91b22425bdac88e74a07224c73421
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Feb 21 14:21:43 2020 +0000

    Update NEWS for 2.10.18

 NEWS | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit 9faef1b7ad5779a9cba21ef9345ad75daab6fe9f
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Tue Dec 1 11:30:22 2015 +0100

    Add naive support for CMYK u8 PSD files

 plug-ins/file-psd/psd-image-res-load.c |  16 +++-
 plug-ins/file-psd/psd-load.c           | 137
 ++++++++++++++++++++++++++++++++-
 plug-ins/file-psd/psd.h                |   4 +
 3 files changed, 150 insertions(+), 7 deletions(-)

commit 5d1c6039e0e73502e9257ed494e098a09d39ed7b
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 13:00:51 2020 +0200

    app: in paint tools, fix cursor position in line mode when snapping
    to angle

    In GimpPaintTool, when not snapping brush outline to stroke, make
    sure to properly snap the cursor position to 15-degree angle
    multiples in line mode, not only when painting the line, but also
    during motion.

    (cherry picked from commit 0f07f1baa58c628cb62725a2c5b528c3587f4222)

 app/tools/gimppainttool.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b0a6cd64125f3826797e8c6342a896a5856ac044
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 11:54:18 2020 +0200

    app: fix incorrect drawable format after applying a filter that
    resizes the drawable

    In gimp_drawable_merge_filter(), fix the format of newly allocated
    buffers when applying a filter that changes the size of the
    drawable, and the requested format is either unspecified, or
    matches the existing drawable format.  The new buffer would
    previously be created with a "RGBA float" format in this case,
    regardless of the image precision, resulting in a potential
    mismatch between the drawable format and the image precision.

    This cna lead to inconsistent buffer data when saved as XCF, which
    is later rejected on load.  See issue #4643.

    (cherry picked from commit ae6f6ba42ad7561f993d101467e4b3d2365664f8)

 app/core/gimpdrawable-filters.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 42b865561d720bb632793f0d3bfc1d3315e945ed
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 21 11:49:49 2020 +0200

    app: avoid use-after-free when loading an XCF with corrupted layers

    When dropping a corrupted layer while loading an XCF, make sure to
    clear the corresponding XcfInfo fields that point to it, so that
    it's not erroneously used later, as we now continue loading the
    image even after corrupted layers are encountered.

    See, for example, issue #4643, for a corrputed XCF file affected by
    this.

    (cherry picked from commit d53e701daaf43ccd51e6b07d526e918851a84350)

 app/xcf/xcf-load.c | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit 7df04317edebfad426fd2697d40fd52247ada2c2
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Thu Feb 20 19:59:12 2020 +0300

    icons: bump the symbolic theme contrast just a little due to popular
    complaint

 icons/Symbolic/24/dialog-information.svg           |   4 +-
 icons/Symbolic/24/document-print.svg               |  22 +-
 icons/Symbolic/24/gimp-business-card.svg           |  12 +-
 icons/Symbolic/24/gimp-center.svg                  |  10 +-
 icons/Symbolic/24/gimp-channel-alpha.svg           |   2 +-
 icons/Symbolic/24/gimp-channel-blue.svg            |   6 +-
 icons/Symbolic/24/gimp-channel-gray.svg            |   2 +-
 icons/Symbolic/24/gimp-channel-green.svg           |   6 +-
 icons/Symbolic/24/gimp-channel-indexed.svg         |  72 +--
 icons/Symbolic/24/gimp-channel-red.svg             |   6 +-
 icons/Symbolic/24/gimp-channel.svg                 |   2 +-
 icons/Symbolic/24/gimp-channels.svg                |   6 +-
 icons/Symbolic/24/gimp-char-picker.svg             |   4 +-
 icons/Symbolic/24/gimp-color-space-linear.svg      |   4 +-
 icons/Symbolic/24/gimp-color-space-non-linear.svg  |   4 +-
 icons/Symbolic/24/gimp-color-space-perceptual.svg  |   4 +-
 icons/Symbolic/24/gimp-colormap.svg                |   2 +-
 icons/Symbolic/24/gimp-controller-keyboard.svg     |   2 +-
 icons/Symbolic/24/gimp-controller-linux-input.svg  |   2 +-
 icons/Symbolic/24/gimp-controller-midi.svg         |   2 +-
 icons/Symbolic/24/gimp-controller-wheel.svg        |   2 +-
 icons/Symbolic/24/gimp-controller.svg              |   2 +-
 icons/Symbolic/24/gimp-cursor.svg                  |   2 +-
 icons/Symbolic/24/gimp-device-status.svg           |   2 +-
 .../24/gimp-display-filter-clip-warning.svg        |  26 +-
 .../Symbolic/24/gimp-display-filter-colorblind.svg |   2 +-
 icons/Symbolic/24/gimp-display-filter-contrast.svg |   2 +-
 icons/Symbolic/24/gimp-display-filter-gamma.svg    |   4 +-
 icons/Symbolic/24/gimp-display-filter-lcms.svg     |  14 +-
 icons/Symbolic/24/gimp-display-filter-proof.svg    |   2 +-
 icons/Symbolic/24/gimp-display-filter.svg          |   2 +-
 icons/Symbolic/24/gimp-display.svg                 |   4 +-
 icons/Symbolic/24/gimp-dynamics.svg                |   2 +-
 icons/Symbolic/24/gimp-error.svg                   |   4 +-
 icons/Symbolic/24/gimp-floating-selection.svg      |   4 +-
 icons/Symbolic/24/gimp-gegl.svg                    |   2 +-
 icons/Symbolic/24/gimp-grid.svg                    |   2 +-
 icons/Symbolic/24/gimp-histogram.svg               |   2 +-
 icons/Symbolic/24/gimp-image.svg                   |   6 +-
 icons/Symbolic/24/gimp-images.svg                  |  10 +-
 icons/Symbolic/24/gimp-info.svg                    |   2 +-
 icons/Symbolic/24/gimp-input-device.svg            |   2 +-
 icons/Symbolic/24/gimp-landscape.svg               |   2 +-
 icons/Symbolic/24/gimp-layer-mask.svg              |   4 +-
 icons/Symbolic/24/gimp-layer.svg                   |   6 +-
 icons/Symbolic/24/gimp-layers.svg                  |   6 +-
 icons/Symbolic/24/gimp-letter-spacing.svg          |   2 +-
